Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005155TestLinkTest Specificationpublic2012-08-18 20:442012-09-01 19:57
Reporterdwarf 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.4 Preview 
Fixed in Version1.9.4 (2012 Q3 - bug fixing) 
Summary0005155: [1.9.4 Preview] Dead link in generated test case summary after source requirement deletion
DescriptionIf a requirement used to generate test case is deleted:
- traceability links are deleted as expected
- summary is unchanged and keeps the link to the source requirement. This link is dead and generate an error if clicked
Steps To Reproduce- create a requirement
- select the requirement specification (folder) and click "create test cases"
- check the newly created requirement anc lick "create test cases"
- test cases are generated as expected
- Go and read testcase : source requirement is shown in requirements and in the summary (The Test Case was generated from the assigned requirement "xxx" (version x)).
- delete the source requirement
- check again the generated test cases : requirement line is empty => OK. Sentence in the summary is unchanged : (The Test Case was generated from the assigned requirement "xxx" (version x))
- click on the requirement link in the summary
- an empty requirement page is displayed with error message above (see screenshot)
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserAll
PHP Version5.2.2
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon empty_req.PNG [^] (34,106 bytes) 2012-08-18 20:44


png file icon issue-5155.png [^] (5,426 bytes) 2012-08-19 09:20

- Relationships

-  Notes
(0017129)
fman (administrator)
2012-08-19 08:42

Please create case on http://demo.testlink.org/tlqarepo, [^] add in test case title reference to MANTIS TICKET ID, example

[TICKET 5155] bla, bla,....
(0017130)
fman (administrator)
2012-08-19 09:20
edited on: 2012-08-19 09:21

http://gitorious.org/testlink-ga/testlink-code/commit/addef5175c13b9157b4e450d803a78067ea515f6 [^]

user will get message ( see attached image issue-5155)

(0017237)
fman (administrator)
2012-09-01 19:57

1.9.4 released

- Issue History
Date Modified Username Field Change
2012-08-18 20:44 dwarf New Issue
2012-08-18 20:44 dwarf File Added: empty_req.PNG
2012-08-19 08:42 fman Note Added: 0017129
2012-08-19 08:42 fman Assigned To => fman
2012-08-19 08:42 fman Status new => assigned
2012-08-19 08:42 fman Product Version => 1.9.4 Preview
2012-08-19 09:20 fman Note Added: 0017130
2012-08-19 09:20 fman File Added: issue-5155.png
2012-08-19 09:21 fman Note Edited: 0017130 View Revisions
2012-08-19 09:21 fman Task Workflow Status TBD => READY FOR TESTING
2012-08-19 09:21 fman Status assigned => resolved
2012-08-19 09:21 fman Fixed in Version => 1.9.4 (2012 Q3 - bug fixing)
2012-08-19 09:21 fman Resolution open => fixed
2012-09-01 19:57 fman Note Added: 0017237
2012-09-01 19:57 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker